<script setup lang="ts">
import type { BaseLink } from '@/types/base';
import { defineProps } from 'vue';
import type { PropType } from 'vue';
const props = defineProps({
  header: {
    type: String,
    required: false,
    default: '',
  },
  subheader: {
    type: String,
    required: false,
    default: '',
  },
  description: {
    type: String,
    required: false,
    default: '',
  },
  cta: {
    type: Object as PropType<BaseLink>,
    required: false,
  },
});

const headerId = toKebabCase(props.header);
</script>

<template>
  <SlpContainer>
    <SlpRow :id="headerId" class="slp-flex slp-flex-column">
      <SlpColumn :cols="12">
        <section class="container">
          <SlpTypography v-if="header" tag="h2" variant="heading2-bold" class="container__title">
            <span class="container__title-image"></span>{{ header }}
          </SlpTypography>

          <SlpTypography v-if="subheader" tag="h3" variant="heading4" class="container__subtitle">
            {{ subheader }}
          </SlpTypography>

          <SlpTypography v-if="description" class="container__text" tag="p" variant="heading5">
            {{ description }}
          </SlpTypography>

          <div class="container__cta">
            <SlpButton
              v-if="cta"
              class="slp-mr-8 cta__button"
              :href="cta.config.href"
              :data-ga-name="cta.text.toLowerCase()"
              data-ga-location="body"
            >
              {{ cta.text }}
            </SlpButton>
          </div>
        </section>
      </SlpColumn>
    </SlpRow>
  </SlpContainer>
</template>

<style lang="scss" scoped>
.cta__button {
  justify-content: center;
}

.container {
  margin: $spacing-64 0;
  background: $color-surface-800;
  border-radius: $border-radius-24;
  padding: $spacing-48;

  &__title {
    margin-bottom: $spacing-32;

    &-image {
      position: relative;
      display: inline;
    }
  }

  &__subtitle {
    margin-bottom: $spacing-16;
    font-weight: 600;
  }

  &__text {
    margin-bottom: $spacing-24;
    font-size: 16px;
    line-height: 28px;
  }

  @media (max-width: $breakpoint-sm) {
    &__cta:deep(a) {
      width: 100%;

      &:nth-of-type(2) {
        margin-top: $spacing-8;
      }
    }

    &__title {
      font-size: 24px;
      line-height: 30px;
    }

    &__subtitle {
      font-weight: normal;
      font-size: 19px;
      line-height: 24px;
    }
  }
}
</style>
